OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.RasterMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTRasterMultisample :: MonadIO m => m Bool
- gl_EXT_raster_multisample :: Bool
- pattern GL_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum
- pattern GL_MAX_RASTER_SAMPLES_EXT :: GLenum
- pattern GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum
- pattern GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum
- pattern GL_RASTER_MULTISAMPLE_EXT :: GLenum
- pattern GL_RASTER_SAMPLES_EXT :: GLenum
- glRasterSamplesEXT :: MonadIO m => GLuint -> GLboolean -> m ()

# Extension Support

glGetEXTRasterMultisample :: MonadIO m => m Bool Source #

Is the EXT_raster_multisample extension supported?

gl_EXT_raster_multisample :: Bool Source #

Is the EXT_raster_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTRasterMultisample` in those cases instead.

# Enums

pattern GL_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum Source #

pattern GL_MAX_RASTER_SAMPLES_EXT :: GLenum Source #

pattern GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum Source #

pattern GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum Source #

pattern GL_RASTER_MULTISAMPLE_EXT :: GLenum Source #

pattern GL_RASTER_SAMPLES_EXT :: GLenum Source #

# Functions

glRasterSamplesEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `samples`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |